PublicApiListKnowledgeBases
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/knowledge-bases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"knowledgeBases": [
{
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"websiteUrl": "<string>",
"customUrls": [
"<string>"
],
"files": [
{
"fileId": "<string>",
"originalName": "<string>",
"mimeType": "<string>",
"size": 123,
"status": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z"
}
],
"isDefault": true,
"status": "<string>",
"processingSteps": [
{}
],
"processingStep": "<string>",
"kgStats": {},
"errorMessage": "<string>",
"errorCode": "<string>",
"wafProvider": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Knowledge Bases
PublicApiListKnowledgeBases
GET /api/v1/organizations//workspaces//knowledge-bases
GET
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
knowledge-bases
PublicApiListKnowledgeBases
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/knowledge-bases \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"knowledgeBases": [
{
"id": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"websiteUrl": "<string>",
"customUrls": [
"<string>"
],
"files": [
{
"fileId": "<string>",
"originalName": "<string>",
"mimeType": "<string>",
"size": 123,
"status": "<string>",
"uploadedAt": "2023-11-07T05:31:56Z"
}
],
"isDefault": true,
"status": "<string>",
"processingSteps": [
{}
],
"processingStep": "<string>",
"kgStats": {},
"errorMessage": "<string>",
"errorCode": "<string>",
"wafProvider": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.⌘I